Merge shape files - select by layers not working

2014-06-24 03:59 AM - baditaflorin -

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 19089

Description

If i select the select by layers, i get an python error.

Without it, i can open the dialog box

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:/Users/florin/.qgis2/python/plugins\\mergeshapes\\mergeshapesdialog.py", line 86, in inputFile

    (files, encoding) = selopenDialog(self)

NameError: global name 'selopenDialog' is not defined

Python version:

2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

QGIS version:

2.3.0-Master Master, d62a498

Python path: ['C:/Users/florin/.qgis2/python/plugins\\\\processing', 'C:\\\\Users\\\\florin\\\\.qgis2\\\\python\\\\plugins\\\\GeoCoding',

'F:/QGISWE~1/apps/qgis-dev/./python', u'C:/Users/florin/.qgis2/python', u'C:/Users/florin/.qgis2/python/plugins',

'F:/QGISWE~1/apps/qgis-dev/./python/plugins', 'F:\\\\QGISWE~1\\\\bin\\\\python27.zip', 'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\DLLs',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib', 'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\plat-win',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'F:\\\\QGISWE~1\\\\bin', 'F:\\\\QGISWE~1\\\\apps\\\\Python27',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages', 'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\jinja2-2.7.2-py2.7.egg',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\markupsafe-0.23-py2.7-win-amd64.egg',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\pytz-2012j-py2.7.egg',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Shapely-1.2.18-py2.7-win-amd64.egg',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\six-1.3.0-py2.7.egg',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\xlrd-0.9.2-py2.7.egg',

'F:\\\\QGISWE~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\xlwt-0.7.5-py2.7.egg',

'C:/Users/florin/.qgis2/python/plugins\\\\DataDrivenInputMask', 'C:\\\\Users\\\\florin\\\\.qgis2\\\\python\\\\plugins\\\\mmqgis/forms',

'F:\\\\QGISWE~1\\\\apps\\\\qgis-dev\\\\python\\\\plugins\\\\fTools\\\\tools']

History
#1 - 2014-06-24 04:04 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

That "merge shapefiles" is a 3rd party python plugin, you must use its own tracker.

https://issues.qgis.org/projects/mergeshapes/issues

cheers!

PS

I think that this plugin can be safely replaced by the native QGIS tools (available also in Processing) and also by SAGA tool available in Processing.
